]> git.sur5r.net Git - bacula/bacula/commitdiff
Update
authorKern Sibbald <kern@sibbald.com>
Fri, 4 Jan 2008 16:25:38 +0000 (16:25 +0000)
committerKern Sibbald <kern@sibbald.com>
Fri, 4 Jan 2008 16:25:38 +0000 (16:25 +0000)
git-svn-id: https://bacula.svn.sourceforge.net/svnroot/bacula/trunk@6210 91ce42f0-d328-0410-95d8-f526ca767f89

regress/all-non-root-tape-tests
regress/tests/small-file-size-tape
regress/tests/truncate-bug-1t1d-tape [new file with mode: 0755]
regress/tests/truncate-bug-1t1d-test [deleted file]

index aed1255e84ca69e84fff5ac492c23cf1642a3a35..5ffc96b240b9971ca892bcf37dea1678613d113e 100755 (executable)
@@ -19,8 +19,8 @@ nice tests/four-jobs-tape
 nice tests/incremental-tape
 nice tests/relabel-tape
 nice tests/restore-by-file-tape
-nice tests/small-file-size-tape
-nice tests/truncate-bug-1t1d-test
+nice tests/small-file-size-1t1d-tape
+nice tests/truncate-bug-1t1d-tape
 nice tests/two-pool-2t1da-tape
 nice tests/2drive-incremental-2t2da-tape
 nice tests/bscan-tape
index d6e8163a9aeed69bd3524502c8d15f3991d52a08..49dbe2130e8e79b730fcc5cdd183d3646b14b974 100755 (executable)
@@ -3,7 +3,7 @@
 # Run a simple backup of the Bacula build directory 
 #   to a tape where the maximum tape file size is set to 1M
 #
-TestName="small-file-size-tape"
+TestName="small-file-size-1t1d-tape"
 JobName=smallfilesize
 . scripts/functions
 
diff --git a/regress/tests/truncate-bug-1t1d-tape b/regress/tests/truncate-bug-1t1d-tape
new file mode 100755 (executable)
index 0000000..8be197d
--- /dev/null
@@ -0,0 +1,86 @@
+#!/bin/sh
+#
+# Test for a tape truncation bug.
+#
+TestName="truncate-bug-1t1d-tape" 
+JobName=truncatebug
+. scripts/functions
+
+copy_tape_confs
+
+echo "${cwd}/build" >${cwd}/tmp/file-list
+
+change_jobname NightlySave $JobName
+start_test
+
+cat <<END_OF_DATA >tmp/bconcmds
+@output /dev/null
+messages
+@$out   tmp/log1.out
+label storage=DDS-4 volume=TestVolume001 slot=0 pool=Default
+@# do a bunch of saves so we have 12 files on the tape
+run job=$JobName yes
+run level=Full job=$JobName yes
+run level=Full job=$JobName yes
+run level=Full job=$JobName yes
+run level=Full job=$JobName yes
+run level=Full job=$JobName yes
+run level=Full job=$JobName yes
+run level=Full job=$JobName yes
+run level=Full job=$JobName yes
+run level=Full job=$JobName yes
+run level=Full job=$JobName yes
+run level=Full job=$JobName yes
+@#setdebug level=100 storage=DDS-4
+wait
+messages
+quit
+END_OF_DATA
+
+run_bacula
+scripts/check_for_zombie_jobs storage=DDS-4
+
+cat <<END_OF_DATA >tmp/bconcmds
+@output /dev/null
+messages
+@$out tmp/log2.out
+@# 
+@# now do a restore
+@#
+restore where=${cwd}/tmp/bacula-restores storage=DDS-4
+3
+@# select JobId=4 (i.e. file five on the tape)
+4
+cd ${cwd}/build
+@# mark a single file
+mark configure
+done
+yes
+wait
+messages
+@output
+quit
+END_OF_DATA
+
+run_bconsole
+scripts/check_for_zombie_jobs storage=DDS-4
+
+# Now write to tape one more time
+cat <<END_OF_DATA >tmp/bconcmds
+@output /dev/null
+messages
+@$out tmp/log3.out
+run level=Full job=$JobName yes
+wait
+messages
+quit
+END_OF_DATA
+
+run_bconsole
+check_for_zombie_jobs storage=DDS-4
+stop_bacula
+
+check_two_logs
+grep "^  Termination: *Backup OK" tmp/log3.out 2>&1 >/dev/null
+dstat=$?
+end_test
diff --git a/regress/tests/truncate-bug-1t1d-test b/regress/tests/truncate-bug-1t1d-test
deleted file mode 100755 (executable)
index 8be197d..0000000
+++ /dev/null
@@ -1,86 +0,0 @@
-#!/bin/sh
-#
-# Test for a tape truncation bug.
-#
-TestName="truncate-bug-1t1d-tape" 
-JobName=truncatebug
-. scripts/functions
-
-copy_tape_confs
-
-echo "${cwd}/build" >${cwd}/tmp/file-list
-
-change_jobname NightlySave $JobName
-start_test
-
-cat <<END_OF_DATA >tmp/bconcmds
-@output /dev/null
-messages
-@$out   tmp/log1.out
-label storage=DDS-4 volume=TestVolume001 slot=0 pool=Default
-@# do a bunch of saves so we have 12 files on the tape
-run job=$JobName yes
-run level=Full job=$JobName yes
-run level=Full job=$JobName yes
-run level=Full job=$JobName yes
-run level=Full job=$JobName yes
-run level=Full job=$JobName yes
-run level=Full job=$JobName yes
-run level=Full job=$JobName yes
-run level=Full job=$JobName yes
-run level=Full job=$JobName yes
-run level=Full job=$JobName yes
-run level=Full job=$JobName yes
-@#setdebug level=100 storage=DDS-4
-wait
-messages
-quit
-END_OF_DATA
-
-run_bacula
-scripts/check_for_zombie_jobs storage=DDS-4
-
-cat <<END_OF_DATA >tmp/bconcmds
-@output /dev/null
-messages
-@$out tmp/log2.out
-@# 
-@# now do a restore
-@#
-restore where=${cwd}/tmp/bacula-restores storage=DDS-4
-3
-@# select JobId=4 (i.e. file five on the tape)
-4
-cd ${cwd}/build
-@# mark a single file
-mark configure
-done
-yes
-wait
-messages
-@output
-quit
-END_OF_DATA
-
-run_bconsole
-scripts/check_for_zombie_jobs storage=DDS-4
-
-# Now write to tape one more time
-cat <<END_OF_DATA >tmp/bconcmds
-@output /dev/null
-messages
-@$out tmp/log3.out
-run level=Full job=$JobName yes
-wait
-messages
-quit
-END_OF_DATA
-
-run_bconsole
-check_for_zombie_jobs storage=DDS-4
-stop_bacula
-
-check_two_logs
-grep "^  Termination: *Backup OK" tmp/log3.out 2>&1 >/dev/null
-dstat=$?
-end_test